LinuxQMISDK: qaGobiApiSwiOmadms.h File Reference

LinuxQMISDK SLQS03.03.07

- Main Page
- Modules
- References
- Data Structures

- File List
- Globals

Data Structures | Typedefs | Functions
qaGobiApiSwiOmadms.h File Reference
SWI Open Mobile Alliance Service (SWIOMA)

SWI Open Mobile Alliance Device Management Service API function prototypes. More...

Go to the source code of this file.

## Data Structures
struct | _SLQSOMADMSessionInfo
struct | _SLQSOMADMSettingsReqParams
struct | _SLQSOMADMSettings

## Typedefs
typedef struct _SLQSOMADMSessionInfo | SLQSOMADMSessionInfo
typedef struct _SLQSOMADMSettingsReqParams | SLQSOMADMSettingsReqParams
typedef struct _SLQSOMADMSettings | SLQSOMADMSettings

## Functions
ULONG | SLQSOMADMStartSession (ULONG sessionType)
ULONG | SLQSOMADMCancelSession (ULONG session)
ULONG | SLQSOMADMGetSessionInfo (ULONG *pSessionType, SLQSOMADMSessionInfo *pResp)
ULONG | SLQSOMADMSendSelection (ULONG selection)
ULONG | SLQSOMADMGetSettings (ULONG *pbOMADMEnabled, ULONG *pbFOTAdownload, ULONG *pbFOTAUpdate)
ULONG | SLQSOMADMSetSettings (ULONG bFOTAdownload, ULONG bFOTAUpdate)
ULONG | SLQSOMADMSetSettings2 (SLQSOMADMSettingsReqParams *pSLQSOMADMSettingsReqParams)
ULONG | SLQSOMADMGetSettings2 (SLQSOMADMSettings *pSLQSOMADMSettings)

## Detailed Description

SWI Open Mobile Alliance Device Management Service API function prototypes.

Copyright: © 2011-2013 Sierra Wireless, Inc. all rights reserved

## Typedef Documentation

typedef struct _SLQSOMADMSessionInfo SLQSOMADMSessionInfo

Structure containing the OMA DM Session Info returned by the device. Also used as input parameter to specify the size of variable parameters. (ref. notes)

Parameters

  pStatus | 1 Byte parameter indicating status 0x01 - No Firmware available 0x02 - Query Firmware Download 0x03 - Firmware Downloading 0x04 - Firmware Downloaded 0x05 - Query Firmware Update 0x06 - Firmware Updating 0x07 - Firmware Update
  pUpdateCompleteStatus | 2 byte parameter indicating Update Complete Status See qaGobiApiTableSwiOMADMUpdateCompleteStatus.h Update Complete Status
  pSeverity | 1 byte parameter indicating severity 0x01 - Mandatory 0x02 - Optional
  pSourceLength | 2 byte parameter indicating Length of Vendor Name String in Bytes.
  pSource | Variable length parameter indicating Vendor Name in ASCII
  pPkgNameLength | 2 byte parameter indicating Length of Package Name String in Bytes.
  pPkgName | Variable length parameter indicating Package Name in ASCII
  pPkgDescLength | 2 byte parameter indicating Length of Package Description String in Bytes.
  pPkgDescription | Variable length parameter indicating Package Description in ASCII
  pDateLength | 2 byte parameter indicating Length of Package Description String in Bytes.
  pDate | Variable length parameter indicating Package Description in ASCII
  pTimeLength | 2 byte parameter indicating Length of Time String in Bytes.
  pTime | Variable length parameter indicating Time String in ASCII

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

Note
  As input parameter the members pSourceLength, pPkgNameLength pPkgDescLength, pDateLength, pTimeLength have to be specified. These should contain the initialized size of pSource, pPkgName, pPkgDescription, pDate, pTime respectively.

typedef struct _SLQSOMADMSettings SLQSOMADMSettings

Structure containing the OMA DM settings retrieved from the device

Parameters

  pOMADMEnabled[OUT] | Optional 4 byte parameter indicating OMADM service enabled 0x00000001 - Client-initiated device configuration 0x00000002 - Network-initiated device configuration 0x00000010 - Client-initiated FUMO 0x00000020 - Network-initiated FUMO function SLQSOMADMGetSettings2() returns a default value 0xFFFFFFFF in case this parameter is not returned by the modem.
  pFOTAdownload[OUT] | Optional 1 Byte parameter indicating support for FOTA Automatic download 0x00 - Firmware autodownload FALSE 0x01 - Firmware autodownload TRUE function SLQSOMADMGetSettings2() returns a default value 0xFF in case this parameter is not returned by the modem.
  pFOTAUpdate[OUT] | Optional 1 byte parameter indicating FOTA Automatic update 0x00 - Firmware autoupdate FALSE 0x01 - Firmware autoupdate TRUE function SLQSOMADMGetSettings2() returns a default value 0xFF in case this parameter is not returned by the modem.
  pAutosdm[OUT] | Optional 1 byte parameter indicating OMA Automatic UI Alert Response 0x00 - Disabled 0x01 - Enabled Accept 0x02 - Enabled Reject function SLQSOMADMGetSettings2() returns a default value 0xFF in case this parameter is not returned by the modem.

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

typedef struct _SLQSOMADMSettingsReqParams SLQSOMADMSettingsReqParams

Structure containing the OMA DM settings to be set on the device

Parameters

  FOTAdownload | 1 Byte parameter indicating support for FOTA Automatic download 0x00 - Firmware autodownload FALSE 0x01 - Firmware autodownload TRUE
  FOTAUpdate | 1 byte parameter indicating FOTA Automatic update 0x00 - Firmware autoupdate FALSE 0x01 - Firmware autoupdate TRUE
  pAutosdm[IN] | Optional 1 byte parameter indicating OMA Automatic UI Alert Response 0x00 - Disabled 0x01 - Enabled Accept 0x02 - Enabled Reject

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

## Function Documentation

ULONG SLQSOMADMCancelSession | ( | ULONG | session | ) |

Cancels an ongoing OMA-DM session.

Parameters

  session[IN] | Session 0x01 - FOTA, to check availability of FW Update 0x02 - DM, to check availability of DM Update

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

Note
  Timeout: 20 seconds

ULONG SLQSOMADMGetSessionInfo | ( | ULONG * | pSessionType,
|  | SLQSOMADMSessionInfo * | pResp
| ) |  |

Returns information related to the current (or previous if no session is active) OMA-DM session.

Parameters

  SessionType[IN] | Session type 0x01 - FOTA
  pResp[IN/OUT] | See SLQSOMADMSessionInfo for more information

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

Note
  Timeout: 20 seconds

ULONG SLQSOMADMGetSettings | ( | ULONG * | pbOMADMEnabled,
|  | ULONG * | pbFOTAdownload,
|  | ULONG * | pbFOTAUpdate
| ) |  |

Returns the OMA-DM settings.

Parameters

  pbOMADMEnabled[OUT] | Device OMADM service enabled 0x00000001 - Client-initiated device configuration 0x00000002 - Network-initiated device configuration 0x00000010 - Client-initiated FUMO 0x00000020 - Network-initiated FUMO
  pbFOTAdownload[OUT] | Firmware AutoDownload 0x00 - Firmware autodownload FALSE 0x01 - Firmware autodownload TRUE
  pbFOTAUpdate[OUT] | Firmware AutoUpdate 0x00 - Firmware autoupdate FALSE 0x01 - Firmware autoupdate TRUE

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

Note
  Timeout: 20 seconds

ULONG SLQSOMADMGetSettings2 | ( | SLQSOMADMSettings * | pSLQSOMADMSettings | ) |

Retrieves the OMA-DM settings from the device.

Parameters

  SLQSOMADMSettingsReqParams | See SLQSOMADMSettings for more information

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

Note
  Timeout: 20 seconds

ULONG SLQSOMADMSendSelection | ( | ULONG | selection | ) |

Sends the specified OMA-DM selection for the current network initiated session.

Parameters

  selection[IN] | OMA-DM NIA Selection 0x01 - Accept 0x02 - RejectSession

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

Note
  Timeout: 20 seconds

ULONG SLQSOMADMSetSettings | ( | ULONG | bFOTAdownload,
|  | ULONG | bFOTAUpdate
| ) |  |

Sets the OMA-DM settings requested.

Parameters

  bFOTAdownload[IN] | Firmware AutoDownload 0x00 - Firmware autodownload FALSE 0x01 - Firmware autodownload TRUE
  bFOTAUpdate[IN] | Firmware AutoUpdate 0x00 - Firmware autoupdate FALSE 0x01 - Firmware autoupdate TRUE

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

Note
  Timeout: 20 seconds

ULONG SLQSOMADMSetSettings2 | ( | SLQSOMADMSettingsReqParams * | pSLQSOMADMSettingsReqParams | ) |

Sets the settings related to OMADM. These settings are saved on the modem across power cycles.

Parameters

  pSLQSOMADMSettingsReqParams[IN] | See SLQSOMADMSettingsReqParams for more information

Note
  Timeout: 20 seconds

ULONG SLQSOMADMStartSession | ( | ULONG | sessionType | ) |

Starts an OMA-DM session.

Parameters

  sessionType[IN] | Session type 0x01 - FOTA, to check availability of FW Update 0x02 - DM, to check availability of DM Update

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

Note
  Timeout: 20 seconds